cURL
curl --request GET \ --url https://api.beamstudio.ai/agent-tasks/analytics \ --header 'current-workspace-id: <current-workspace-id>' \ --header 'x-api-key: <api-key>'
{ "currentPeriod": { "totalTasks": 123, "completedTasks": 123, "failedTasks": 123, "averageEvaluationScore": 123, "averageRuntimeSeconds": 123, "totalRuntimeSeconds": 123, "positiveFeedbackCount": 123, "consentRequiredCount": 123, "negativeFeedbackCount": 123 }, "metricsDelta": { "totalTasksDelta": "<string>", "completedTasksDelta": "<string>", "failedTasksDelta": "<string>", "consentRequiredTasksDelta": "<string>", "averageRuntimeSecondsDelta": "<string>", "totalRuntimeSecondsDelta": "<string>", "averageEvaluationScoreDelta": "<string>" }, "taskAndEvaluationChart": [ { "date": "<string>", "completedCount": 123, "failedCount": 123, "averageEvaluationScore": 123 } ] }
Retrieve analytics data for agent task execution including success rates, performance metrics, and usage statistics.
Analytics data retrieved successfully
Show child attributes